Get a Preset
curl --request GET \
--url https://api.spidra.io/api/presets/{presetId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spidra.io/api/presets/{presetId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spidra.io/api/presets/{presetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spidra.io/api/presets/{presetId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spidra.io/api/presets/{presetId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spidra.io/api/presets/{presetId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spidra.io/api/presets/{presetId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"kind": "template",
"tool": "<string>",
"template": {
"slug": "<string>",
"version": 123,
"title": "<string>",
"site": {
"key": "<string>",
"name": "<string>",
"domain": "<string>"
},
"available": true
},
"inputs": {},
"config": {},
"columns": [
{
"key": "<string>",
"label": "<string>",
"format": "<string>"
}
],
"inputsSummary": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Presets
Get a Preset
One saved preset with its template and inputs, or its tool request.
GET
/
presets
/
{presetId}
Get a Preset
curl --request GET \
--url https://api.spidra.io/api/presets/{presetId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spidra.io/api/presets/{presetId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spidra.io/api/presets/{presetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spidra.io/api/presets/{presetId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spidra.io/api/presets/{presetId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spidra.io/api/presets/{presetId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spidra.io/api/presets/{presetId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"kind": "template",
"tool": "<string>",
"template": {
"slug": "<string>",
"version": 123,
"title": "<string>",
"site": {
"key": "<string>",
"name": "<string>",
"domain": "<string>"
},
"available": true
},
"inputs": {},
"config": {},
"columns": [
{
"key": "<string>",
"label": "<string>",
"format": "<string>"
}
],
"inputsSummary": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}curl "https://api.spidra.io/api/presets/15415447-7680-4dc5-90a0-f7a900c7f418" \
-H "Authorization: Bearer $SPIDRA_API_KEY"
{
"status": "success",
"data": {
"id": "15415447-7680-4dc5-90a0-f7a900c7f418",
"name": "Dentists in Lekki",
"description": null,
"kind": "template",
"tool": "batch",
"template": {
"slug": "google-maps-leads",
"version": 4,
"title": "Google Maps leads",
"site": { "key": "google-maps", "name": "Google Maps", "domain": "google.com" },
"available": true
},
"inputs": { "query": "dentist", "areas": ["Lekki, Lagos"], "pages": 1, "findContacts": false, "language": "en" },
"config": null,
"columns": null,
"inputsSummary": "dentist · Lekki, Lagos · 1",
"createdAt": "2026-10-24T18:48:38.000Z",
"updatedAt": "2026-10-24T18:48:38.000Z"
}
}
kind: "tool", template: null, inputs: null, and its request body in config.
template.availableisfalseif the template was retired. Such a preset can’t run.columnsisnullwhen the preset uses the template’s own columns.- The response also has older snake_case fields (
uuid,urls,extraction_prompt,use_proxyand others) kept for presets saved before October 2026. Use the camelCase ones above.
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The preset's ID.
Was this page helpful?

